# $Revision: 1.20 $, $Date: 2011/10/09 10:25:29 $
%define		modname		intl
%define		status		stable
Summary:	%{modname} - Internationalization extension
Summary(pl.UTF-8):	%{modname} - rozszerzenie internacjonalizacji
Name:		php-pecl-%{modname}
Version:	1.1.1
Release:	6
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	f69e662ff0125eb991597be9b5116d96
Patch0:		zend_arg_info_static.patch
Patch1:		z_refcount.patch
URL:		http://pecl.php.net/package/intl/
BuildRequires:	libicu-devel >= 3.4.0-1
BuildRequires:	libstdc++-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	pkgconfig
BuildRequires:	re2c
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Provides:	php(intl)
Obsoletes:	php-pecl-idn
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Internationalization extension implements ICU library functionality in
PHP.

Since 1.0.2 it also integrates IDN functions.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie to posiada zaimplementowaną obsługę biblioteki ICU.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p1
%patch1 -p1

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc doc/* CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-intl.spec,v $
Revision 1.20  2011/10/09 10:25:29  arekm
- release 6

Revision 1.19  2011/03/20 18:06:45  arekm
- release 5

Revision 1.18  2011/02/26 07:39:27  arekm
- release 4

Revision 1.17  2010/12/11 21:37:07  arekm
- release 3

Revision 1.16  2010/06/06 19:09:54  glen
- fix build against php53; rel 2

Revision 1.15  2010/06/02 15:32:19  glen
- up to 1.1.1

Revision 1.14  2010/05/17 13:03:53  sparky
- BR: libstdc++-devel, pkgconfig, re2c

Revision 1.13  2010/05/17 09:03:47  glen
- release 2

Revision 1.12  2010/05/17 09:03:23  glen
- cleanup, note about idn functions
- provide intl virtual

Revision 1.11  2010/02/09 08:18:14  adamg
- updated to 1.1.0

Revision 1.10  2009/10/28 14:52:17  arekm
- rel 2: O: php-pecl-idn

Revision 1.9  2009/10/28 07:49:53  adamg
- updated to 1.0.3

Revision 1.8  2009/09/22 10:39:42  glen
- release 2

Revision 1.7  2009/04/26 17:20:09  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.6  2009/04/11 18:09:22  adamg
- updated to 1.0.2

Revision 1.5  2008/12/26 03:00:53  adamg
- fixed previous commit msg

Revision 1.4  2008/12/26 01:52:47  adamg
- updated to 1.0.1

Revision 1.3  2008/06/27 22:41:58  adamg
- updated to 1.0.0 (final)

Revision 1.2  2008-04-12 21:45:04  qboosh
- pl fixes

Revision 1.1  2007-12-09 10:53:11  adamg
- new
